<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Vuelos.aspx.cs" Inherits="Seven.Front.Vuelos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("Vuelos") %> [3.5]</title>
    
    <script type="text/javascript">

        var HeaderTableV  = <%=L.LBL("LblFDKSDbVuelos") %>;

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Código del jqGrid para Vuelos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetV() {
            $.ajax({
                url: 'Servicio.svc/GetVuelos',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try
                    {
                        $("#jqgV").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgV")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgV").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutV(id, vuelo, llegada, lugar, hora, dia_sem, aeropuerto, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutVuelos',
                data: { "id_vuel": id, "vuelo": vuelo, "llegada": llegada, "lugar": lugar, "hora": hora, "dia_sem": dia_sem, "aeropuerto": aeropuerto
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementV').val(0);
                            BotonDefaultV();
                            RefreshGridV();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultV();
                                RefreshGridV();
                            }
                            else
                            {
                                $('#IdSubElementV').val(res);
                                BotonDefaultV();
                                RefreshGridV();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridV() {
        
            var lselV;
            var colMap = {};
            $("#jqgV").jqGrid({
                datatype: GetV,
                height: 255,
                width: 700,
                colNames:  HeaderTableV,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'vuelo', index: 'vuelo', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'llegada', index: 'llegada', width: 10, editable: true, search:false,
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: 
                                    { value: "False:<%=L.LBL("LblGENSalida") %>;True:<%=L.LBL("LblGENLlegada") %>" } 
                                }, 
                            { name: 'lugar', index: 'lugar', width: 16, editable: true, searchoptions:{sopt:ListFindT} },
                            { name: 'hora', index: 'hora', width: 7, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'dia_sem', index: 'dia_sem', width: 5, editable: true,
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: 
                                    { value: ":;Lun:<%=L.LBL("LblFDKVUELLunes") %>;Mar:<%=L.LBL("LblFDKVUELMartes") %>;" 
                                        + "Mie:<%=L.LBL("LblFDKVUELMiercoles") %>;Jue:<%=L.LBL("LblFDKVUELJueves") %>;" 
                                        + "Vie:<%=L.LBL("LblFDKVUELViernes") %>;Sab:<%=L.LBL("LblFDKVUELSabado") %>;Dom:<%=L.LBL("LblFDKVUELDomingo") %>" } 
                                },  
                            { name: 'aeropuerto', index: 'aeropuerto', width: 12, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselV) && !isNaN(id))
                        {
                            $("#jqgV").jqGrid('delRowData', lselV);
                            //$('#jqgV').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            var ret = jQuery("#jqgV").jqGrid('getRowData',id); 

                            $('#jqgV').jqGrid('restoreRow',lselV);

                            $('#IdSubElementV').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoV();
                        }

                        $('#jqgV').jqGrid('editRow', id, true, EventsV);
                       
                        lselV=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselV))
                        {
                            $("#jqgV").jqGrid('delRowData', lselV);
                            $('#jqgV').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgV').jqGrid('saveRow',lselV);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgV').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgV").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextV').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconV').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextV').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconV').attr("src", "img/cross-script.png");
                        }

                        $('#jqgV').jqGrid('setSelection', id); 

                        BotonSelectV();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgV").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgV").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgV").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgV').jqGrid('setSelection', $('#IdSubElementV').val());
                    if(parseInt($('#IdSubElementV').val()) != 0)
                    {
                        BotonSelectV();
                    }
                }, 
                //rowNum: 50,
                rowNum: 99999999,
                rowTotal: 99999999,
                //rowList: [20, 30, 50],
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorV',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            //$("#jqgV").jqGrid('navGrid','#PaginadorV',{del:false,add:false,edit:false,search:false});
            $("#bsdataV").click(function(){ 
                jQuery("#jqgV").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsV(id) {
            $("#" + id + "_vuelo").on('input', function () { BotonGuardarV(); });
            $("#" + id + "_llegada").on('change', function () { BotonGuardarV(); });
            $("#" + id + "_lugar").on('input', function () { BotonGuardarV(); });
            $("#" + id + "_hora").on('input', function () { BotonGuardarV(); });
            $("#" + id + "_dia_sem").on('input', function () { BotonGuardarV(); });
            $("#" + id + "_aeropuerto").on('input', function () { BotonGuardarV(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarV(); });
        }

        function EventsNewV() {
            var selr = jQuery('#jqgV').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_vuelo").on('input', function () { BotonGuardarV(); });
            $("#" + selr + "_llegada").on('change', function () { BotonGuardarV(); });
            $("#" + selr + "_lugar").on('input', function () { BotonGuardarV(); });
            $("#" + selr + "_hora").on('input', function () { BotonGuardarV(); });
            $("#" + selr + "_dia_sem").on('input', function () { BotonGuardarV(); });
            $("#" + selr + "_aeropuerto").on('input', function () { BotonGuardarV(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarV(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridV()
        {
            $("#jqgV").jqGrid("setGridParam", {datatype: "json", datatype: GetV, loadonce: true});
            $("#jqgV").trigger("reloadGrid"); 
            $("#jqgV").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateV()
        {
            $('#IdSubElementV').val(0);
            $("#jqgV").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoV();
            EventsNewV();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveV(){
            var id = $("#jqgV").jqGrid('getGridParam','selrow');
            if (id)	{
                PutV(id, $('#' + id + '_vuelo').val(), $('#' + id + '_llegada').val(), $('#' + id + '_lugar').val(), $('#' + id + '_hora').val(), $('#' + id + '_dia_sem').val(), $('#' + id + '_aeropuerto').val(), $('#' + id + '_eliminado').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteV(){
            var id = $("#jqgV").jqGrid('getGridParam','selrow');
            if (id) {
                PutV(id, $('#' + id + '_vuelo').val(), $('#' + id + '_llegada').val(), $('#' + id + '_lugar').val(), $('#' + id + '_hora').val(), $('#' + id + '_dia_sem').val(), $('#' + id + '_aeropuerto').val(), $('#' + id + '_eliminado').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelV(){
            var id = $("#jqgV").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgV').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultV();
        }

        function BotonDefaultV() {
            $('#btnNuevoV').button('enable');
            $('#btnEliminarV').button('disable');
            $('#btnGuardarV').button('disable');
            $('#btnCancelarV').button('disable');
        }

        function BotonNuevoV() {
            $('#btnNuevoV').button('disable');
            $('#btnEliminarV').button('disable');
            $('#btnGuardarV').button('disable');
            $('#btnCancelarV').button('enable');
        }

        function BotonSelectV() {
            $('#btnNuevoV').button('enable');
            var id = $("#jqgV").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarV').button('enable');
            }
            else {
                $('#btnEliminarV').button('disable');
            }
            $('#btnGuardarV').button('disable');
            $('#btnCancelarV').button('disable');
        }

        function BotonGuardarV() {
            $('#btnNuevoV').button('disable');
            $('#btnEliminarV').button('disable');
            $('#btnGuardarV').button('enable');
            $('#btnCancelarV').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=205&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 3);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridV();

            BotonDefaultV();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M4';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Vuelos.aspx"><%=L.TIT("Vuelos") %> [3.5]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Vuelos") %> [3.5]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-vuelos/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <input type="hidden" id="IdSubElementV" value="0" />
                <table id="jqgV"></table>
                <div id="PaginadorV" ></div>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataV" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoV" onclick="CreateV();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarV" onclick="DeleteV();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconV" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextV"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarV" onclick="SaveV();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarV" onclick="CancelV();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

